`timescale 1 ns / 1 ps


module hdmi_top (
  input wire        rstbtn_n,    //The pink reset button
  input wire        clk100,      //100 MHz osicallator
  input wire [3:0]  RX0_TMDS,
  input wire [3:0]  RX0_TMDSB,
  inout wire        RX0_SCL,
  inout wire        RX0_SDA,  

  output wire [3:0] TX0_TMDS,
  output wire [3:0] TX0_TMDSB,
  inout wire        TX0_SCL,
  inout wire        TX0_SDA,

  output wire [7:0] LED
);

assign RX0_SCL = 1'bz;
assign RX0_SDA = 1'bz;
assign TX0_SCL = 1'bz;
assign TX0_SDA = 1'bz;

wire       clk_pix;
wire       rx_hs;
wire       rx_vs;
wire       rx_de;
wire [7:0] rx_r;
wire [7:0] rx_g;
wire [7:0] rx_b;
wire       tx_hs;
wire       tx_vs;
wire       tx_de;
wire [7:0] tx_r;
wire [7:0] tx_g;
wire [7:0] tx_b;

hdmi_rx_tx hdmi_rx_tx (
   .rstbtn_n(rstbtn_n),
   .clk100(clk100),
   .RX0_TMDS(RX0_TMDS),
   .RX0_TMDSB(RX0_TMDSB),
   .TX0_TMDS(TX0_TMDS),
   .TX0_TMDSB(TX0_TMDSB),
   .LED(LED),
   
   // user receive and transmit ports
   .clk_pix(clk_pix),
   .rx_hs(rx_hs),
   .rx_vs(rx_vs),
   .rx_de(rx_de),
   .rx_r(rx_r),
   .rx_g(rx_g),
   .rx_b(rx_b),
   .tx_hs(tx_hs),
   .tx_vs(tx_vs),
   .tx_de(tx_de),
   .tx_r(tx_r),
   .tx_g(tx_g),
   .tx_b(tx_b)
);

assign tx_de = rx_de;
assign tx_hs = rx_hs;
assign tx_vs = rx_vs;
assign tx_r  = rx_r;
assign tx_g  = rx_g;
assign tx_b  = rx_b;


endmodule
